import type { OnCreateParticle, Particle, Position } from './types';
export declare const createParticle: (context: CanvasRenderingContext2D, origin: Position | undefined, force: number, angle: number, spread: number, styles: (HTMLImageElement | string)[], onCreate?: OnCreateParticle) => Particle;
export declare const renderParticle: (context: CanvasRenderingContext2D, p: Particle) => void;
export declare const updateParticle: (p: Particle, dt: number) => void;
export declare const isOutOfBounds: (context: CanvasRenderingContext2D, p: Particle) => boolean;
