export declare type ParticleStyle = string | HTMLImageElement;
export declare type Position = [number, number];
export declare type Particle = {
    dead: boolean;
    life: number;
    delay: number;
    x: number;
    y: number;
    angle: number;
    da: number;
    dx: number;
    dy: number;
    w: number;
    h: number;
    gx: number;
    gy: number;
    xw: number;
    style: ParticleStyle;
};
export declare type OnCreateParticle = (p: Particle) => Particle;
export declare type OnUpdateParticle = (p: Particle, dt: number) => void;
